*** patch_realtek.c	2007-06-04 09:28:54.000000000 +0200
--- patch_realtek2.c	2007-06-16 21:46:14.000000000 +0200
*************** enum {
*** 117,118 ****
--- 117,119 ----
  	ALC660VD_3ST,
+ 	ALC660VD_3ST_DIG,
  	ALC861VD_3ST,
*************** static const char *alc861vd_models[ALC86
*** 9466,9467 ****
--- 9467,9469 ----
  	[ALC660VD_3ST]		= "3stack-660",
+ 	[ALC660VD_3ST_DIG]= "3stack-660-digout",
  	[ALC861VD_3ST]		= "3stack",
*************** static struct snd_pci_quirk alc861vd_cfg
*** 9477,9479 ****
  	SND_PCI_QUIRK(0x1043, 0x1339, "Asus G1", ALC660VD_3ST),
! 	SND_PCI_QUIRK(0x1043, 0x81e7, "ASUS", ALC660VD_3ST),
  	SND_PCI_QUIRK(0x10de, 0x03f0, "Realtek ALC660 demo", ALC660VD_3ST),
--- 9479,9481 ----
  	SND_PCI_QUIRK(0x1043, 0x1339, "Asus G1", ALC660VD_3ST),
! 	SND_PCI_QUIRK(0x1043, 0x81e7, "ASUS", ALC660VD_3ST_DIG),
  	SND_PCI_QUIRK(0x10de, 0x03f0, "Realtek ALC660 demo", ALC660VD_3ST),
*************** static struct alc_config_preset alc861vd
*** 9501,9502 ****
--- 9503,9517 ----
  	},
+ 	[ALC660VD_3ST_DIG] = {
+ 		.mixers = { alc861vd_3st_mixer },
+ 		.init_verbs = { alc861vd_volume_init_verbs,
+ 				 alc861vd_3stack_init_verbs },
+ 		.num_dacs = ARRAY_SIZE(alc660vd_dac_nids),
+ 		.dac_nids = alc660vd_dac_nids,
+ 		.dig_out_nid = ALC861VD_DIGOUT_NID,
+ 		.num_adc_nids = ARRAY_SIZE(alc861vd_adc_nids),
+ 		.adc_nids = alc861vd_adc_nids,
+ 		.num_channel_mode = ARRAY_SIZE(alc861vd_3stack_2ch_modes),
+ 		.channel_mode = alc861vd_3stack_2ch_modes,
+ 		.input_mux = &alc861vd_capture_source,
+ 	},
  	[ALC861VD_3ST] = {
